mmap_readat(3)

NAME
mmap_readat - memory map a file for reading

SYNTAX
#include <libowfat/mmap.h> const char* mmap_readat(const char* filename,size_t* filesize,int dirfd);

DESCRIPTION
mmap_readat opens filename for reading, maps the whole file into memory, closes the file, writes the length of the file to filesize and returns a pointer to the mapped file. If filename is a relative path and dirfd is not AT_FDCWD (defined in fcntl.h), filename is interpreted relative to dirfd, which must be an open directory. The file is unmapped by the operating system if the process terminates. It can also be manually unmapped by calling munmap from <sys/mman.h>. If the file could not be opened or mapped, (void*)0 is returned.

SEE ALSO
mmap_unmap(3), mmap_private(3), mmap_read(3), mmap_shared(3)